cutlass::TypeTraits< half_t > Struct Template Reference

`#include <type_traits.h>`

## Public Types

typedef half_t | host_type
typedef half_t | device_type
typedef int16_t | integer_type
typedef uint16_t | unsigned_type

## Static Public Member Functions

static half_t | remove_negative_zero (half_t x)
static half_t | to_print (half_t x)
static device_type | to_device (half_t x)

## Static Public Attributes

static cudaDataType_t const | cublas_type = CUDA_R_16F

## Member Typedef Documentation

typedef half_t cutlass::TypeTraits< half_t >::device_type

typedef half_t cutlass::TypeTraits< half_t >::host_type

typedef int16_t cutlass::TypeTraits< half_t >::integer_type

typedef uint16_t cutlass::TypeTraits< half_t >::unsigned_type

## Member Function Documentation

static half_t cutlass::TypeTraits< half_t >::remove_negative_zero | ( | half_t | x | ) |

inlinestatic

static device_type cutlass::TypeTraits< half_t >::to_device | ( | half_t | x | ) |

inlinestatic

static half_t cutlass::TypeTraits< half_t >::to_print | ( | half_t | x | ) |

inlinestatic

## Member Data Documentation

cudaDataType_t const cutlass::TypeTraits< half_t >::cublas_type = CUDA_R_16F

static

The documentation for this struct was generated from the following file:

- type_traits.h